
Redmine - Feature #1984

Ability to obsolete an uploaded file

2008-10-03 05:12 - David Kowis

Status: New Start date: 2008-10-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Similar to how bugzilla does it. The file is still there, but crossed out, to emphasize that it's been superseded by the newer

attachment.

Related issues:

Has duplicate Redmine - Feature #32493: Add capability to make an attachment\... Closed

History

#1 - 2008-10-03 07:25 - Thomas Lecavelier

I like this one: +1.

#2 - 2008-10-04 23:28 - Markus Knittig

+1

#3 - 2009-06-18 20:22 - David Kowis

Poking.

#4 - 2009-06-18 20:40 - Jens Goldhammer

+10!

#5 - 2009-08-31 21:19 - David Kowis

Poking again

#6 - 2009-10-06 18:11 - David Kowis

I guess this is unimportant, or very difficult to do. I'd love to work on it myself, but I have too much other crap to do :(

I hate bugzilla's insane perl dependencies, and it's not very well integrated. I'd love to try to use redmine instead, at least for the bug tracking part of it,

but I can't because the bug tracker is very weak feature wise. </rant>

#7 - 2010-03-01 22:28 - David Kowis

Poking again. It'd be really, really nice to be able to obsolete an attachment. It's really the only thing keeping me from trying to push redmine on our

project :)

#8 - 2011-03-23 11:14 - Toshi MARUYAMA

- Category set to Attachments

#9 - 2020-04-04 05:14 - Go MAEDA

- Has duplicate Feature #32493: Add capability to make an attachment\s obsolete and to collapse all obsolete attachments and focus only the

necessary ones (like bugzilla) added

#10 - 2020-04-04 05:41 - Go MAEDA

- File bugzilla-show-hide-obsolete@2x.png added

The attached image is a screenshot of Bugzilla's show/hide obsolete button.

#11 - 2023-11-25 10:04 - pasquale [:dedalus]
Marius BĂLTEANU Go MAEDA

I think this feature is very useful when a long queue of patches is attached to a ticket. When patches are committed we will be able to mark them as

obsolete and only show future new patches: this would make life easier for the reviewer. Is it possible in your opinion to foresee a release in version

6.0 or 5.1.x?

#12 - 2024-11-13 08:29 - pasquale [:dedalus]

Obsoleted attachments should be grouped in a collapsed treelist for better UX.

Marius BĂLTEANU Any chance of seeing this landed in the next minor\major versions?

Files

bugzilla-show-hide-obsolete@2x.png 189 KB 2020-04-04 Go MAEDA
